### Method

# Camel FolderSummary add

#### Declaration [src]

    void
    camel_folder_summary_add (
      CamelFolderSummary* summary,
      CamelMessageInfo* info,
      gboolean force_keep_uid
    )

#### Description [src]

Adds a new `info` record to the summary. If the `force_keep_uid` is `FALSE`, then a new uid is automatically re-assigned by calling camel_folder_summary_next_uid_string(). It’s an error to use `force_keep_uid` when the `info` has none set.

The `summary` adds its own reference to `info`, if needed, and any previously loaded info is replaced with the new one.

#### Parameters

`info`

  Type: `CamelMessageInfo`

  A `CamelMessageInfo`.

  The data is owned by the caller of the method.

`force_keep_uid`

  Type: `gboolean`

  Whether to keep set UID of the `info`.